socket_local4(3)

NAME
socket_local4 - get local IP address of socket

SYNTAX
#include <libowfat/socket.h>

int socket_local4(int s,char ip[4],uint16 *port);

DESCRIPTION
socket_local4 returns the local IP address and port for the UDP or TCP socket s and writes the IP address to ip and the port to port.

If something goes wrong, socket_local4 returns -1, setting errno appropriately.

SEE ALSO
socket_accept4(3), socket_remote4(3)